Subject: Re: [PATCH] mtd/ifc: Add support for IFC controller version 2.0

From: Scott Wood <[email-masked]>
Date: Fri, 05 Feb 2016 12:23:51 -0600

On Fri, 2016-02-05 at 12:05 -0600, Li Yang wrote:
> On Thu, Feb 4, 2016 at 7:17 PM, Scott Wood <[email-masked]> wrote:
> > On Thu, 2016-02-04 at 17:07 -0600, Li Yang wrote:
> > > On Wed, Feb 3, 2016 at 12:36 AM, Raghav Dogra <[email-masked]>
> > > wrote:
> > > > The new IFC controller version 2.0 has a different memory map page.
> > > > Upto IFC 1.4 PAGE size is 4 KB and from IFC2.0 PAGE size is 64KB.
> > > > This patch segregates the IFC global and runtime registers to
> > > > appropriate
> > > > PAGE sizes.
> > > 
> > > If the global registers and the runtime registers are so independent
> > > that they have to be on different page boundaries, it would make more
> > > sense for them to be defined as separate reg regions in the device
> > > tree at the very beginning.  Then we would only need to change the
> > > device tree now and it would be future proof for any page size.
> > 
> > That's great if you have a time machine.  Otherwise, NACK.
> 
> I didn't suggest that we need to change it now.  But we might need to
> be more careful in the future when creating bindings for new hardware.

At the time the binding was created there was no reason to believe that the
layout would change.

-Scott